searchNodes=[{"doc":"A wrapper module for Erlang's array.","ref":"Array.html","title":"Array","type":"module"},{"doc":"Gets the value used for uninitialized entries.","ref":"Array.html#default/1","title":"Array.default/1","type":"function"},{"doc":"Check if two arrays are equal using ===.","ref":"Array.html#equal?/2","title":"Array.equal?/2","type":"function"},{"doc":"Access behavior fetch/2 callback.","ref":"Array.html#fetch/2","title":"Array.fetch/2","type":"function"},{"doc":"Fixes the size of the array. This prevents it from growing automatically upon insertion.","ref":"Array.html#fix/1","title":"Array.fix/1","type":"function"},{"doc":"Folds the elements of the array using the given function and initial accumulator value. The elements are visited in order from the lowest index to the highest.If fun is not a function, the call raises ArgumentError.","ref":"Array.html#foldl/3","title":"Array.foldl/3","type":"function"},{"doc":"Folds the elements of the array right-to-left using the given function and initial accumulator value. The elements are visited in order from the highest index to the lowest.If fun is not a function, the call raises ArgumentError.","ref":"Array.html#foldr/3","title":"Array.foldr/3","type":"function"},{"doc":"Converts an Erlang's array to an array. All properties (size, elements, default value, fixedness) of the original array are preserved.If erl_arr is not an Erlang's array, the call raises ArgumentError.","ref":"Array.html#from_erlang_array/1","title":"Array.from_erlang_array/1","type":"function"},{"doc":"Equivalent to from_list(list, nil).","ref":"Array.html#from_list/1","title":"Array.from_list/1","type":"function"},{"doc":"Converts a list to an extendible array. default is used as the value for uninitialized entries of the array.If list is not a proper list, the call raises ArgumentError.","ref":"Array.html#from_list/2","title":"Array.from_list/2","type":"function"},{"doc":"Equivalent to from_orddict(orddict, nil).","ref":"Array.html#from_orddict/1","title":"Array.from_orddict/1","type":"function"},{"doc":"Converts an ordered list of pairs {index, value} to a corresponding extendible array. default is used as the value for uninitialized entries of the array.If orddict is not a proper, ordered list of pairs whose first elements are nonnegative integers, the call raises ArgumentError.","ref":"Array.html#from_orddict/2","title":"Array.from_orddict/2","type":"function"},{"doc":"Gets the value of entry idx. If idx is not a nonnegative integer, or if the array has fixed size and idx is larger than the maximum index, the call raises ArgumentError.","ref":"Array.html#get/2","title":"Array.get/2","type":"function"},{"doc":"Access behavior get/3 callback","ref":"Array.html#get/3","title":"Array.get/3","type":"function"},{"doc":"Access behavior get_and_update/3 callback","ref":"Array.html#get_and_update/3","title":"Array.get_and_update/3","type":"function"},{"doc":"Returns true if arr appears to be an array, otherwise false. Note that the check is only shallow; there is no guarantee that arr is a well-formed array representation even if this function returns true.","ref":"Array.html#is_array/1","title":"Array.is_array/1","type":"function"},{"doc":"Checks if the array has fixed size. Returns true if the array is fixed, otherwise false.","ref":"Array.html#is_fix/1","title":"Array.is_fix/1","type":"function"},{"doc":"Maps the given function onto each element of the array. The elements are visited in order from the lowest index to the highest.If fun is not a function, the call raises ArgumentError.","ref":"Array.html#map/2","title":"Array.map/2","type":"function"},{"doc":"Creates a new, extendible array with initial size zero. The default value is the atom nil, not undefined.","ref":"Array.html#new/0","title":"Array.new/0","type":"function"},{"doc":"Creates a new fixed array according to the given options. By default, the array is extendible and has initial size zero. The default value is the atom nil, if not specified.options is a single term or a list of terms, selected from the following:n : non_neg_integer or {:size, n : non_neg_integer}Specifies the initial size of the array; this also implies {:fixed, true}. If n is not a nonnegative integer, the call raises ArgumentError.:fixed or {:fixed, true}Creates a fixed-size array.{:fixed, false}Creates an extendible (non fixed-size) array.{:default, value}Sets the default value for the array to value.","ref":"Array.html#new/1","title":"Array.new/1","type":"function"},{"doc":"Access behavior pop/2 callback","ref":"Array.html#pop/2","title":"Array.pop/2","type":"function"},{"doc":"Makes the array resizable.","ref":"Array.html#relax/1","title":"Array.relax/1","type":"function"},{"doc":"Resets entry idx to the default value for the array. If the value of entry idx is the default value the array will be returned unchanged. Reset will never change size of the array. Shrinking can be done explicitly by calling resize/2.If idx is not a nonnegative integer, or if the array has fixed size and idx is larger than the maximum index, the call raises ArgumentError.","ref":"Array.html#reset/2","title":"Array.reset/2","type":"function"},{"doc":"Changes the size of the array to that reported by sparse_size/1. If the given array has fixed size, the resulting array will also have fixed size.","ref":"Array.html#resize/1","title":"Array.resize/1","type":"function"},{"doc":"Changes the size of the array. If size is not a nonnegative integer, the call raises ArgumentError. If the given array has fixed size, the resulting array will also have fixed size.","ref":"Array.html#resize/2","title":"Array.resize/2","type":"function"},{"doc":"Sets entry idx of the array to val. If idx is not a nonnegative integer, or if the array has fixed size and idx is larger than the maximum index, the call raises ArgumentError.","ref":"Array.html#set/3","title":"Array.set/3","type":"function"},{"doc":"Gets the number of entries in the array. Entries are numbered from 0 to size(array)-1; hence, this is also the index of the first entry that is guaranteed to not have been previously set.","ref":"Array.html#size/1","title":"Array.size/1","type":"function"},{"doc":"Folds the elements of the array using the given function and initial accumulator value, skipping default-valued entries. The elements are visited in order from the lowest index to the highest.If fun is not a function, the call raises ArgumentError.","ref":"Array.html#sparse_foldl/3","title":"Array.sparse_foldl/3","type":"function"},{"doc":"Folds the elements of the array right-to-left using the given function and initial accumulator value, skipping default-valued entries. The elements are visited in order from the highest index to the lowest.If fun is not a function, the call raises ArgumentError.","ref":"Array.html#sparse_foldr/3","title":"Array.sparse_foldr/3","type":"function"},{"doc":"Maps the given function onto each element of the array, skipping default-valued entries. The elements are visited in order from the lowest index to the highest.If fun is not a function, the call raises ArgumentError.","ref":"Array.html#sparse_map/2","title":"Array.sparse_map/2","type":"function"},{"doc":"Gets the number of entries in the array up until the last non-default valued entry. In other words, returns idx+1 if idx is the last non-default valued entry in the array, or zero if no such entry exists.","ref":"Array.html#sparse_size/1","title":"Array.sparse_size/1","type":"function"},{"doc":"Converts the array to a list, skipping default-valued entries.","ref":"Array.html#sparse_to_list/1","title":"Array.sparse_to_list/1","type":"function"},{"doc":"Converts the array to an ordered list of pairs {index, value}, skipping default-valued entries.","ref":"Array.html#sparse_to_orddict/1","title":"Array.sparse_to_orddict/1","type":"function"},{"doc":"Converts the array to its underlying Erlang's array.","ref":"Array.html#to_erlang_array/1","title":"Array.to_erlang_array/1","type":"function"},{"doc":"Converts the array to a list.","ref":"Array.html#to_list/1","title":"Array.to_list/1","type":"function"},{"doc":"Converts the array to an ordered list of pairs {index, value}.","ref":"Array.html#to_orddict/1","title":"Array.to_orddict/1","type":"function"},{"doc":"","ref":"Array.html#t:element/0","title":"Array.element/0","type":"type"},{"doc":"","ref":"Array.html#t:index/0","title":"Array.index/0","type":"type"},{"doc":"","ref":"Array.html#t:opt/0","title":"Array.opt/0","type":"type"},{"doc":"","ref":"Array.html#t:opts/0","title":"Array.opts/0","type":"type"},{"doc":"","ref":"Array.html#t:orddict/0","title":"Array.orddict/0","type":"type"},{"doc":"","ref":"Array.html#t:t/0","title":"Array.t/0","type":"type"}]